Problemas y errores en PhpMyAdmin con blowfish_secret

Actualizado el lunes, 6 noviembre, 2017

Problemas y errores en PhpMyAdmin con blowfish_secret. Es un error muy común al instalar nuestro phpmyadmin, que nos lance errores de «blowfish_secret«.

Los mensajes que nos aparecen en la parte inferior de nuestro phpmyadmin, pueden ser del tipo:

El archivo de configuración ahora necesita salvoconducto (blowfish_secret).

O también…

La frase secreta en la configuración (blowfish_secret) es demasiado corta.

Problemas y errores en PhpMyAdmin con blowfish_secret 1

La solución a este error (propiamente no es un error, sino simplemente un molesto aviso), es sencilla.

Debes localizar el archivo de configuración de phpmyadmin, llamado:

config.inc.php

Lamentablemente no puedo decirte donde esta, pues dependiendo de tu distro y panel de control puede variar su localización. Pero encontrando la carpeta phpmyadmin, ya lo tienes.

Una vez localizado abres el archivo para editarlo.

nano config.inc.php

Localiza la linea «blowfish_secret«.

Si tu error decía que necesitaba un salvoconducto, veras algo similar a:

$cfg['blowfish_secret'] = ''; /* YOU MUST FILL IN THIS FOR COOKIE AUTH! */

Lo modificas de la siguiente forma.
$cfg['blowfish_secret'] = 'aquí-pones-la-key-que-quieras';

Si tu error decía que la frase era demasiado corta, veras algo similar a:
$cfg['blowfish_secret'] = 'xYa5H8c';

Simplemente debes ampliar la key, por ejemplo.
$cfg['blowfish_secret'] = 'xYa5H8cxYa5H8c';

Ahora reinicia el servidor apache y el problema estará resuelto.

 

3 Comentarios

  1. Kathleen B.
    17/07/2019
    • SantaCruz
      17/07/2019
    • Armando Chavez
      12/12/2019

Agregar comentario